View Issue Details

IDProjectCategoryView StatusLast Update
0002440FreeCADBugpublic2016-03-13 12:03
Reporteryoan Assigned Towmayer  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSMint 17 Qiana OS VersionMATE 1.8.1
Product Version0.16 
Target VersionFixed in Version0.16 
Summary0002440: 0.16 Build rev 6395 Several display issues
Description* The new "Expression" window renders black
* Renaming parts results in both old and new names overlapping
(see screenshots)
TagsNo tags attached.
FreeCAD Information

Activities

yoan

2016-02-07 15:51

reporter  

renaming_and_calcuation_window_bugs.png (Attachment missing)

yoan

2016-02-07 15:59

reporter   ~0006816

OS: Linux Mint 17 Qiana
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6395 (Git)
Build type: None
Branch: master
Hash: 1324575b3548d6730789baa453ad71fee35abe04
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

jmaustpc

2016-03-01 15:45

manager   ~0006873

Last edited: 2016-03-01 15:46

View 2 revisions

* The new "Expression" window renders black
yes for me too I don't know if that is intentional or not.

* Renaming parts results in both old and new names overlapping
I don't see that when I edit the property or right click "rename", what exactly are you doing to get that result?

Its better to discuss bugs you find on the Help forum first so the tickets are fewer in number and greater in quality, from more eyes seeing the matter.

OS: Kubuntu 12.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6523 (Git)
Build type: Release
Branch: master
Hash: ecd6517cb00fcf05edd41a38b3ce1fa8b16ec3ad
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
OCC version: 6.9.1.oce-0.18-dev

wmayer

2016-03-01 20:51

administrator   ~0006874

The black part is supposed to be transparent. This might be a problem with the graphic driver. And the on-top widget is supposed to be positioned on the dialog so that the line fields are coincident.

So, I don't think we can fix the actual problem. But alternatively, we can implement the on-top widget as another modal dialog without transparency and make an option in the preferences so that user with this issue have at least something properly working.

yoan

2016-03-01 21:02

reporter   ~0006875

> I don't see that when I edit the property or right click "rename", what exactly are you doing to get that result?
I rename any object in the tree view, either via F2 or right click > rename

> Its better to discuss bugs you find on the Help forum first so the tickets are fewer in number and greater in quality, from more eyes seeing the matter.
Ok !

> and make an option in the preferences so that user with this issue have at least something properly working.
Good idea!

jmaustpc

2016-03-01 21:57

manager   ~0006876

> The black part is supposed to be transparent. This might be a problem with the graphic driver. And the on-top widget is supposed to be positioned on the dialog so that the line fields are coincident.

I have been using my Kubuntu 12.04 machine for a while which shows the black background, I read your comments so I checked on my Kubuntu 14.04 laptop which works as you say it should i.e not black surround.


it is easy to read and works quite well with the black back ground so I wouldn't worry about it myself. I am assuming the update to 14.04 fixed my problem, the GPU is different still Nvidia nouveau.

wmayer

2016-03-13 12:03

administrator   ~0006905

In order to solve the issue on your system:
1. Open the parameter editor and
2. navigate to the group BaseApp > Preferences > Expression (if 'Expression' doesn't exist you have to create it)
3. Create a boolean key called 'NoSystemBackground' and set it to 'false'

That's it! Now reuse the expression editor and see that it's a normal dialog.

Related Changesets

FreeCAD: master 18f0cc63

2016-03-13 12:56:08

wmayer

Details Diff
+ issue: 0002440: 0.16 Build rev 6395 Several display issues Affected Issues
0002440
mod - src/Gui/DlgExpressionInput.cpp Diff File

Issue History

Date Modified Username Field Change
2016-02-07 15:51 yoan New Issue
2016-02-07 15:51 yoan File Added: renaming_and_calcuation_window_bugs.png
2016-02-07 15:59 yoan Note Added: 0006816
2016-03-01 15:45 jmaustpc Note Added: 0006873
2016-03-01 15:46 jmaustpc Note Edited: 0006873 View Revisions
2016-03-01 20:51 wmayer Note Added: 0006874
2016-03-01 21:02 yoan Note Added: 0006875
2016-03-01 21:57 jmaustpc Note Added: 0006876
2016-03-13 11:58 wmayer Changeset attached => FreeCAD Master master 18f0cc63
2016-03-13 12:03 wmayer Note Added: 0006905
2016-03-13 12:03 wmayer Status new => closed
2016-03-13 12:03 wmayer Resolution open => fixed
2016-03-13 12:03 wmayer Product Version => 0.16
2016-03-13 12:03 wmayer Fixed in Version => 0.16
2016-03-13 12:03 wmayer Assigned To => wmayer